// Code generated by mockery v2.20.0. DO NOT EDIT.

package mocks

import (
	context "context"

	component "gitlab.com/infor-cloud/martian-cloud/phobos/phobos-plugin-sdk/internal-shared/component"

	mock "github.com/stretchr/testify/mock"
)

// MetadataPlugin is an autogenerated mock type for the MetadataPlugin type
type MetadataPlugin struct {
	mock.Mock
}

// PluginMetadata provides a mock function with given fields: ctx
func (_m *MetadataPlugin) PluginMetadata(ctx context.Context) (*component.PluginMetadata, error) {
	ret := _m.Called(ctx)

	var r0 *component.PluginMetadata
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context) (*component.PluginMetadata, error)); ok {
		return rf(ctx)
	}
	if rf, ok := ret.Get(0).(func(context.Context) *component.PluginMetadata); ok {
		r0 = rf(ctx)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*component.PluginMetadata)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context) error); ok {
		r1 = rf(ctx)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

type mockConstructorTestingTNewMetadataPlugin interface {
	mock.TestingT
	Cleanup(func())
}

// NewMetadataPlugin creates a new instance of MetadataPlugin. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
func NewMetadataPlugin(t mockConstructorTestingTNewMetadataPlugin) *MetadataPlugin {
	mock := &MetadataPlugin{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
